ensure python is marked for removal when upgrading from 18.04 to 20.04

Bug #1928397 reported by Brian Murray
142
This bug affects 17 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Brian Murray

Bug Description

There are still a lot of bug reports where users cannot upgrade from Ubuntu 18.04 LTS to Ubuntu 20.40 LTS due to python still being kept when the problem resolver runs. This is due to a bit of code being removed when 20.04.31 was uploaded[1]. That code should be restored as it will allow more users to upgrade to Ubuntu 20.04 LTS.

[Test Cases]
1) lxc launch ubuntu:18.04
2) Restore the apt-clone file from LP: #1927268
3) Run do-release-upgrade
4) Observe a failure to calculate the upgrade to Focal

With the version of the release upgrader from -proposed (do-release-upgrade -p) the upgrade to Focal will be calculated successfully.

[Where Problems Could Occur]
This code previously existed in the release upgrader and just ensures that we are are moving python from the system. However, there could also be typos in the restored code but that would cause a Traceback when running the test case so that would get caught.

[Other Info]
That being said it would be good to get more testing of this version of the release upgrader so I'll look at recent bug reports where python is marked for keeping (MarkKeep python:amd64 < 2.7.15~rc1-1 @ii gR > FU=0) and ask those users to test the release upgrader from -proposed.

[1] http://launchpadlibrarian.net/531097604/ubuntu-release-upgrader_1%3A20.04.30_1%3A20.04.31.diff.gz

description: updated
Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: New → In Progress
assignee: nobody → Brian Murray (brian-murray)
tags: added: fr-1371
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Invalid
Revision history for this message
Steve Langasek (vorlon) wrote : Please test proposed package

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.04.33 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Brian Murray (brian-murray) wrote :

I tested an upgrade from Bionic to Focal with 'do-release-upgrade -p' using the apt-clone file mentioned in the bug description and an upgrade was successfully calculated.

ubuntu@grown-crow:~$ head /var/log/dist-upgrade/main.log
2021-05-17 21:02:59,243 INFO Using config files '['./DistUpgrade.cfg.bionic', '/etc/update-manager/release-upgrades.d/ubuntu-advantage-upgrades.cfg']'
2021-05-17 21:02:59,244 INFO uname information: 'Linux grown-crow 5.11.0-17-generic #18-Ubuntu SMP Thu May 6 20:10:11 UTC 2021 x86_64'
2021-05-17 21:02:59,495 INFO apt version: '1.6.13'
2021-05-17 21:02:59,495 INFO python version: '3.6.9 (default, Jan 26 2021, 15:33:00)
[GCC 8.4.0]'
2021-05-17 21:02:59,498 INFO release-upgrader version '20.04.33' started
2021-05-17 21:02:59,502 INFO locale: 'en_US' 'UTF-8'
2021-05-17 21:02:59,566 WARNING estimate_kernel_initrd_size_in_boot() returned '0' for kernel?
2021-05-17 21:02:59,566 WARNING estimate_kernel_initrd_size_in_boot() returned '0' for initrd?
2021-05-17 21:02:59,579 DEBUG Using 'DistUpgradeViewText' view
ubuntu@grown-crow:~$ grep "Do you want to start" /var/log/dist-upgrade/screenlog.0
Do you want to start the upgrade?

Revision history for this message
Brian Murray (brian-murray) wrote :

Additionally, the 7 duplicates of the is bug were able to upgrade using the version of the release upgrader from -proposed.

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.04.33

---------------
ubuntu-release-upgrader (1:20.04.33) focal; urgency=medium

  * DistUpgrade/DistUpgradeController.py: restore sources.list where possible
    if a KeyboardInterrupt event is received and redirect the output of
    gnome-session-inhibit to devnull so a message regarding Ctrl-C is not
    displayed. (LP: #1898026)
  * DistUpgrade/DistUpgradeQuirks.py: Restore code which ensured the python
    package was maked for removal. (LP: #1928397)
  * Update mirrors and translations.

 -- Brian Murray <email address hidden> Thu, 13 May 2021 16:38:41 -0700

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers